Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.policy
Class DescriptorPolicy

    java.lang.Object
      org.optaplanner.core.impl.domain.policy.DescriptorPolicy

    public class DescriptorPolicy

extends Object

Constructor Summary
`DescriptorPolicy()`

Method Summary
`void` | `addFromEntityValueRangeProvider(Method method)`
`void` | `addFromSolutionValueRangeProvider(Method method)`
`Method` | `getFromEntityValueRangeProvider(String id)`
`Method` | `getFromSolutionValueRangeProvider(String id)`
`Collection<String>` | `getValueRangeProviderIds()`
`boolean` | `hasFromEntityValueRangeProvider(String id)`
`boolean` | `hasFromSolutionValueRangeProvider(String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescriptorPolicy

    public DescriptorPolicy()

Method Detail

### addFromSolutionValueRangeProvider

    public void addFromSolutionValueRangeProvider(Method method)

### hasFromSolutionValueRangeProvider

    public boolean hasFromSolutionValueRangeProvider(String id)

### getFromSolutionValueRangeProvider

    public Method getFromSolutionValueRangeProvider(String id)

### addFromEntityValueRangeProvider

    public void addFromEntityValueRangeProvider(Method method)

### hasFromEntityValueRangeProvider

    public boolean hasFromEntityValueRangeProvider(String id)

### getFromEntityValueRangeProvider

    public Method getFromEntityValueRangeProvider(String id)

### getValueRangeProviderIds

    public Collection<String> getValueRangeProviderIds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.